## python-itemadapter 0.2.0

=== tests/requirements.txt ===
attrs
dataclasses; python_version == "3.6"
pytest-cov>=2.8
pytest>=5.4
scrapy>=2.0

## python-itemadapter 0.1.0

=== debian/changelog ===
python-itemadapter (0.1.0-2) unstable; urgency=medium

  * Add autopkgtests.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 09 Aug 2020 14:39:15 +0500

python-itemadapter (0.1.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 26 Jul 2020 16:27:54 +0500

python-itemadapter (0.1.0-1~exp1) experimental; urgency=medium

  * Initial release (Closes: #965336).
  * Upload to experimental.

 -- Andrey Rahmatullin <wrar@debian.org>  Mon, 20 Jul 2020 21:11:49 +0500

=== debian/control ===
Source: python-itemadapter
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Andrey Rahmatullin <wrar@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-pytest,
               python3-setuptools,
               python3-attr,
               python3-scrapy,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-itemadapter
Vcs-Git: https://salsa.debian.org/python-team/modules/python-itemadapter.git
Homepage: https://github.com/scrapy/itemadapter
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-itemadapter
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Common interface for data container classes (Python 3)
 The ItemAdapter class is a wrapper for data container objects, providing a
 common interface to handle objects of different types in an uniform manner,
 regardless of their underlying implementation.
 .
 Currently supported types are:
  * dict
  * scrapy.item.Item
  * dataclass-based classes
  * attrs-based classes
 .
 This is the Python 3 version of the package.

## python-itemadapter 0.2.0

=== debian/changelog ===
python-itemadapter (0.2.0-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Andrey Rahmatullin ]
  * New upstream version.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 08 Nov 2020 21:05:09 +0500

=== debian/tests/control ===
Tests: unittests
Depends:
 @,
 python3-all,
 python3-pytest,
 python3-attr,
 python3-scrapy,

=== debian/watch ===
version=4
https://github.com/scrapy/itemadapter/releases \
/scrapy/itemadapter/archive/v([\d\.]+)\.tar\.gz

## python-itemadapter 0.4.0

=== tests/requirements.txt ===
attrs
dataclasses; python_version == "3.6"
pydantic
pytest-cov>=2.8
pytest>=5.4
scrapy>=2.0

=== debian/changelog ===
python-itemadapter (0.4.0-1) unstable; urgency=medium

  * New upstream version.
  * Update the URL pattern in debian/watch.
  * Add python3-pydantic to B-D and autopkgtest deps.
  * Bump Standards-Version to 4.6.0.
  * Annotate B-D with the !nocheck build profile and sort them.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 06 Oct 2021 21:32:06 +0500

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: python-itemadapter
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Andrey Rahmatullin <wrar@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                python3-all,
-               python3-pytest,
+               python3-attr <!nocheck>,
+               python3-pydantic (>= 1.8.0) <!nocheck>,
+               python3-pytest <!nocheck>,
+               python3-scrapy <!nocheck>,
                python3-setuptools,
-               python3-attr,
-               python3-scrapy,
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-itemadapter
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-itemadapter.git
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-itemadapter
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-itemadapter.git
 Homepage: https://github.com/scrapy/itemadapter
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

## python-itemadapter 0.7.0

=== debian/changelog ===
python-itemadapter (0.7.0-1) unstable; urgency=medium

  * New upstream version.
  * Replace py3versions -r with py3versions -s in the autopkgtest.

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 20 Aug 2022 18:12:21 +0500

python-itemadapter (0.6.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump Standards-Version to 4.6.1.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 12 Jun 2022 12:53:28 +0500

python-itemadapter (0.5.0-1) unstable; urgency=medium

  * New upstream version.

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 19 Mar 2022 13:11:19 +0500

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-pytest <!nocheck>,
                python3-scrapy <!nocheck>,
                python3-setuptools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-itemadapter
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-itemadapter.git
 Homepage: https://github.com/scrapy/itemadapter

=== debian/watch ===
version=4
https://github.com/scrapy/itemadapter/releases \
/scrapy/itemadapter/archive.*/v([\d\.]+)\.tar\.gz

## python-itemadapter 0.8.0

=== tests/requirements.txt ===
attrs
pydantic
pytest-cov>=2.8
pytest>=5.4
scrapy>=2.0

=== debian/changelog ===
python-itemadapter (0.8.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Andrey Rakhmatullin <wrar@debian.org>  Thu, 15 Jun 2023 21:50:52 +0400

python-itemadapter (0.8.0-1~exp1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream version.
  * Update debian/watch.
  * Bump Standards-Version to 4.6.2.

 -- Andrey Rakhmatullin <wrar@debian.org>  Wed, 24 May 2023 23:18:09 +0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: python-itemadapter
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Andrey Rahmatullin <wrar@debian.org>
+Uploaders: Andrey Rakhmatullin <wrar@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -11,7 +11,7 @@
                python3-pytest <!nocheck>,
                python3-scrapy <!nocheck>,
                python3-setuptools,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-itemadapter
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-itemadapter.git
 Homepage: https://github.com/scrapy/itemadapter

=== debian/tests/control ===
Tests: unittests
Depends:
 python3-itemadapter,
 python3-all,
 python3-pytest,
 python3-attr,
 python3-pydantic (>= 1.8.0),
 python3-scrapy,

=== debian/watch ===
version=4
https://github.com/scrapy/itemadapter/tags \
/scrapy/itemadapter/archive.*/v([\d\.]+)\.tar\.gz

## python-itemadapter 0.9.0

=== tests/requirements.txt ===
attrs
pydantic<2
pytest-cov>=2.8
pytest>=5.4
scrapy>=2.0

=== debian/changelog ===
python-itemadapter (0.9.0-1) unstable; urgency=medium

  * New upstream version.
  * Switch to Testsuite: autopkgtest-pkg-pybuild.
  * Bump Standards-Version to 4.7.0.

 -- Andrey Rakhmatullin <wrar@debian.org>  Tue, 07 May 2024 23:41:49 +0500

=== debian/control ===
--- 
+++ 
@@ -11,17 +11,17 @@
                python3-pytest <!nocheck>,
                python3-scrapy <!nocheck>,
                python3-setuptools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-itemadapter
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-itemadapter.git
 Homepage: https://github.com/scrapy/itemadapter
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Rules-Requires-Root: no
 
 Package: python3-itemadapter
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
-Description: Common interface for data container classes (Python 3)
+Description: Common interface for data container classes
  The ItemAdapter class is a wrapper for data container objects, providing a
  common interface to handle objects of different types in an uniform manner,
  regardless of their underlying implementation.
@@ -31,5 +31,3 @@
   * scrapy.item.Item
   * dataclass-based classes
   * attrs-based classes
- .
- This is the Python 3 version of the package.

## python-itemadapter 0.10.0

=== debian/changelog ===
python-itemadapter (0.10.0-1) unstable; urgency=medium

  * New upstream version.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 30 Nov 2024 17:27:59 +0500

python-itemadapter (0.9.0-2) unstable; urgency=medium

  * Team upload.
  * Stick with Pydantic V1 API for now (Closes: #1077456)

 -- Alexandre Detiste <tchet@debian.org>  Thu, 08 Aug 2024 20:36:11 +0200

## python-itemadapter 0.11.0

=== tests/requirements.txt ===
pytest>=5.4
pytest-cov>=2.8

=== debian/changelog ===
python-itemadapter (0.11.0-1) unstable; urgency=medium

  * New upstream version.

 -- Andrey Rakhmatullin <wrar@debian.org>  Wed, 29 Jan 2025 23:19:31 +0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-sequence-python3,
                python3-all,
                python3-attr <!nocheck>,
-               python3-pydantic (>= 1.8.0) <!nocheck>,
+               python3-pydantic (>= 2.0~) <!nocheck>,
                python3-pytest <!nocheck>,
                python3-scrapy <!nocheck>,
                python3-setuptools,

## python-itemadapter 0.12.1

=== debian/changelog ===
python-itemadapter (0.12.1-1) unstable; urgency=medium

  * New upstream version.
  * Drop Rules-Requires-Root.
  * Bump Standards-Version to 4.7.2.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 09 Aug 2025 23:54:05 +0500

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,18 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-attr <!nocheck>,
+               python3-hatchling,
                python3-pydantic (>= 2.0~) <!nocheck>,
                python3-pytest <!nocheck>,
                python3-scrapy <!nocheck>,
-               python3-setuptools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-itemadapter
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-itemadapter.git
 Homepage: https://github.com/scrapy/itemadapter
 Testsuite: autopkgtest-pkg-pybuild
-Rules-Requires-Root: no
 
 Package: python3-itemadapter
 Architecture: all

## python-itemadapter 0.12.2

=== debian/changelog ===
python-itemadapter (0.12.2-1) unstable; urgency=medium

  * New upstream version.
  * Drop d/watch in favor of d/upstream/metadata.
  * Drop Priority.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sun, 14 Sep 2025 13:12:37 +0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Andrey Rakhmatullin <wrar@debian.org>
 Section: python
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                pybuild-plugin-pyproject,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=itemadapter
export PYBUILD_TEST_ARGS=-v

%:
	dh $@ --buildsystem=pybuild

## python-itemadapter 0.13.0

=== debian/changelog ===
python-itemadapter (0.13.0-1) unstable; urgency=medium

  * New upstream version.
  * Disable pydantic v1 tests (Closes: #1123257).

 -- Andrey Rakhmatullin <wrar@debian.org>  Wed, 17 Dec 2025 15:20:52 +0500

## python-itemadapter 0.13.1

=== debian/changelog ===
python-itemadapter (0.13.1-1) unstable; urgency=medium

  * New upstream version.
  * Bump Standards-Version to 4.7.3.

 -- Andrey Rakhmatullin <wrar@debian.org>  Wed, 21 Jan 2026 13:38:03 +0500

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-pydantic (>= 2.0~) <!nocheck>,
                python3-pytest <!nocheck>,
                python3-scrapy <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-itemadapter
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-itemadapter.git
 Homepage: https://github.com/scrapy/itemadapter

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=itemadapter
export PYBUILD_TEST_ARGS=-v --deselect tests/test_adapter_pydantic_v1.py

%:
	dh $@ --buildsystem=pybuild
